Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol
Class ProtocolFactoryImpl

    java.lang.Object
      org.teleal.cling.protocol.ProtocolFactoryImpl

All Implemented Interfaces:
  ProtocolFactory

Direct Known Subclasses:
  MockUpnpService.MockProtocolFactory

    public class ProtocolFactoryImpl

extends Object
implements ProtocolFactory

Field Summary
`protected UpnpService` | `upnpService`

Constructor Summary
`ProtocolFactoryImpl(UpnpService upnpService)`

Method Summary
`ReceivingAsync` | `createReceivingAsync(IncomingDatagramMessage message)`
`ReceivingSync` | `createReceivingSync(StreamRequestMessage message)`
`SendingAction` | `createSendingAction(ActionInvocation actionInvocation, URL controlURL)`
`SendingEvent` | `createSendingEvent(LocalGENASubscription subscription)`
`SendingNotificationAlive` | `createSendingNotificationAlive(LocalDevice localDevice)`
`SendingNotificationByebye` | `createSendingNotificationByebye(LocalDevice localDevice)`
`SendingRenewal` | `createSendingRenewal(RemoteGENASubscription subscription)`
`SendingSearch` | `createSendingSearch(UpnpHeader searchTarget, int mxSeconds)`
`SendingSubscribe` | `createSendingSubscribe(RemoteGENASubscription subscription)`
`SendingUnsubscribe` | `createSendingUnsubscribe(RemoteGENASubscription subscription)`
`UpnpService` | `getUpnpService()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### upnpService

    protected final UpnpService upnpService

Constructor Detail

### ProtocolFactoryImpl

    public ProtocolFactoryImpl(UpnpService upnpService)

Method Detail

### getUpnpService

    public UpnpService getUpnpService()

  Specified by:
    `getUpnpService` in interface `ProtocolFactory`

### createReceivingAsync

    public ReceivingAsync createReceivingAsync(IncomingDatagramMessage message)
                                        throws ProtocolCreationException

  Specified by:
    `createReceivingAsync` in interface `ProtocolFactory`
  Throws:
    `ProtocolCreationException`

### createReceivingSync

    public ReceivingSync createReceivingSync(StreamRequestMessage message)
                                      throws ProtocolCreationException

  Specified by:
    `createReceivingSync` in interface `ProtocolFactory`
  Throws:
    `ProtocolCreationException`

### createSendingNotificationAlive

    public SendingNotificationAlive createSendingNotificationAlive(LocalDevice localDevice)

  Specified by:
    `createSendingNotificationAlive` in interface `ProtocolFactory`

### createSendingNotificationByebye

    public SendingNotificationByebye createSendingNotificationByebye(LocalDevice localDevice)

  Specified by:
    `createSendingNotificationByebye` in interface `ProtocolFactory`

### createSendingSearch

    public SendingSearch createSendingSearch(UpnpHeader searchTarget,
                                             int mxSeconds)

  Specified by:
    `createSendingSearch` in interface `ProtocolFactory`

### createSendingAction

    public SendingAction createSendingAction(ActionInvocation actionInvocation,
                                             URL controlURL)

  Specified by:
    `createSendingAction` in interface `ProtocolFactory`

### createSendingSubscribe

    public SendingSubscribe createSendingSubscribe(RemoteGENASubscription subscription)

  Specified by:
    `createSendingSubscribe` in interface `ProtocolFactory`

### createSendingRenewal

    public SendingRenewal createSendingRenewal(RemoteGENASubscription subscription)

  Specified by:
    `createSendingRenewal` in interface `ProtocolFactory`

### createSendingUnsubscribe

    public SendingUnsubscribe createSendingUnsubscribe(RemoteGENASubscription subscription)

  Specified by:
    `createSendingUnsubscribe` in interface `ProtocolFactory`

### createSendingEvent

    public SendingEvent createSendingEvent(LocalGENASubscription subscription)

  Specified by:
    `createSendingEvent` in interface `ProtocolFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.